<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TpegPoint StructType
 * @subpackage Structs
 */
abstract class TpegPoint extends AbstractStructBase
{
    /**
     * The tpegPointExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $tpegPointExtension;
    /**
     * Constructor method for TpegPoint
     * @uses TpegPoint::setTpegPointExtension()
     * @param \StructType\ExtensionType $tpegPointExtension
     */
    public function __construct(\StructType\ExtensionType $tpegPointExtension = null)
    {
        $this
            ->setTpegPointExtension($tpegPointExtension);
    }
    /**
     * Get tpegPointExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getTpegPointExtension()
    {
        return $this->tpegPointExtension;
    }
    /**
     * Set tpegPointExtension value
     * @param \StructType\ExtensionType $tpegPointExtension
     * @return \StructType\TpegPoint
     */
    public function setTpegPointExtension(\StructType\ExtensionType $tpegPointExtension = null)
    {
        $this->tpegPointExtension = $tpegPointExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\TpegPoint
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
